package com.its.vms.dto;

import com.its.vms.entity.TbVmsFontColr;
import io.swagger.annotations.ApiModel;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;

/**
 *  DTO Class
 */
@Data
@Builder
public class TbVmsFontColrDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer vmsFontColrCd;
    private String vmsFontColrNm;
    private Long vmsFontColrVal;
    private String useYn;

    public TbVmsFontColr toEntity() {
        return TbVmsFontColr.builder()
                .vmsFontColrCd(this.vmsFontColrCd)
                .vmsFontColrNm(this.vmsFontColrNm)
                .vmsFontColrVal(this.vmsFontColrVal)
                .useYn(this.useYn)
                .build();
    }

}
